/* ARMARIO.DCL
   Realizado por Javier Erce 
   Versin 2.12 para autocad 12
   Para su uso con la rutina ARMARIO.LSP Versin 2.12
   Abril de 1.994
*/

op_arma : dialog {
    label = "Opciones de dibujo de Armarios";
    spacer_1;
    :boxed_row {
       label = "Tipologa de Armarios y Representacin";
         : boxed_radio_column {
            label = "Tipo de armario";
            : radio_button {
                 label = "Abatible";
                 mnemonic = "A";
                 key = "armario_abat";
                 value = "1";
            }
            : radio_button {
                 label = "Corredero";
                 mnemonic = "C";
                 key = "armario_corr";
            }
         }
    }    
    spacer_1;
    :boxed_row {     
      label = "Caractersticas de Armarios";
         : boxed_column {
            label = "Tipo de hojas";
            : edit_box {
                 key = "armario_nume";
                 label = "Nmero de hojas";
                 mnemonic = "N";
                 edit_width = 7;
            }
            : edit_box {
                 key = "armario_lon1";
                 label = "Medida de hoja";
                 mnemonic = "M";
                 edit_width = 7;
            }
            : edit_box {
                 key = "armario_espe";
                 label = "Espesor de hoja";
                 mnemonic = "E";
                 edit_width = 7;
            }
         }   
         : boxed_column {
            label = "Tipo de cercos";
            : edit_box {
                 key = "armario_cean";
                 label = "Grueso del cerco";
                 mnemonic = "G";
                 edit_width = 7;
            }
            : edit_box {
                 key = "armario_cefo";
                 label = "Fondo mx. cerco";
                 mnemonic = "F";
                 edit_width = 7;
            }
         }   
    }
    spacer_1;
    : boxed_column {
       label = "Medidas del armario";
       : edit_box {
            key = "armario_long";
            label = "Longitud total del armario:";
            mnemonic = "L";
            edit_width = 7;
       }
    }
    spacer_1;
    : toggle {
        key = "armario_refe";
        label = "Trabajar con punto de referencia";
    }
    : toggle {
        key = "armario_cent";
        label = "Centrar el armario en el muro";
    }
    spacer_1;
    : row {
        : spacer { width = 1; }
        : button {
            label = "Vale";
            key = "aceptar";
            width = 8;
            fixed_width = true;
        }
        : button {
        label = "Anular";
        is_cancel = true;
        key = "anular";
        width = 8;
        fixed_width = true;
        }
        : button {
        label = "Informacin...";
        key = "armario_info";
        mnemonic = "I";
        width = 15;
        fixed_width = true;
    }
    : spacer { width = 1;}
   }
}
//***************************************************************************
// Cuadro dilogo de informacin

op_armario_info : dialog {
    label = "Informacin del Programa";
    spacer_1;
    :paragraph {
       children_alignment = centered;
       : text_part { label = "Dibujo parametrizado de Armarios"; }
       : text_part { label = "    "; }
       : text_part { label = "ARMARIO"; }
       : text_part { label = "    "; }
       : text_part { label = "Versin 2.12 (Abril de 1.994)"; }
       : text_part { label = "Para su uso con AutoCad 12"; }
       : text_part { label = "*******"; }
       : text_part { label = "Realizado por Javier Erce Lizarraga."; }
       : text_part { label = "Avda. Reyes Catlicos n 17 - 28280 El Escorial"; }
       : text_part { label = "Telfono 91 - 890.05.85"; }
    }
    spacer_1;
    : paragraph {
        children_alignment = centered;
        : text_part { label = "El autor ofrece el programa ARMARIO completo, para que cual"; }
        : text_part { label = "quier usuario lo pueda evaluar y probar libremente. Y si se"; }
        : text_part { label = "decide a utilizarlo y quiere  estar  al da de las  ltimas"; }
        : text_part { label = "actualizaciones de este y otros programas LISP de Arquitec-"; }
        : text_part { label = "tura para AutoCad, enviar 5.000 pesetas con todos sus datos"; }
        : text_part { label = "a las seas arriba indicadas.                              "; }
    }
    spacer_1;
    ok_only;
    spacer_1;
}

