/* PUERTA.DCL
   Realizado por Javier Erce 
   Versin 2.12 para autocad 12
   Para su uso con la rutina PUERTA.LSP Versin 2.00
   20 de Abril de 1.994
*/

op_puerta : dialog {
    label = "Opciones de dibujo de Puertas";
    spacer_1;
    : boxed_row {
       label = "Tipologa de Puertas y Representacin";
           : boxed_radio_column {
               label = "Nmero de hojas";
               : radio_button {
                   label = "Sencilla";
                   mnemonic = "S";
                   key = "puerta_simp";
                   value = "1";
               }
               : radio_button {
                   label = "Doble";
                   mnemonic = "D";
                   key = "puerta_dobl";
                }
           }
           : boxed_radio_column {
               label = "Tipo de hojas";
               : radio_button {
                   label = "Ciega";
                   mnemonic = "C";
                   key = "puerta_cieg";
                   value = "1";
               }
               : radio_button {
                   label = "Vidriera";
                   mnemonic = "V";
                   key = "puerta_vidr";
               }
           }
           : boxed_radio_column {
               label = "Tipo de cierre";
               : radio_button {
                   label = "Arco";
                   mnemonic = "A";
                   key = "puerta_arco";
                   value = "1";
               }
               : radio_button {
                   label = "Lnea";
                   mnemonic = "L";
                   key = "puerta_line";
               }
           }
     }
    spacer_1;
    :boxed_row {
    label = "Caractersticas de Puertas";
    : boxed_column {
       label = "Tipo de hojas";
           : toggle {
               key = "puerta_igua";
               label = "Puerta doble con hojas iguales";
           }
           : edit_box {
               key = "puerta_lon1";
               label = "Medida Hoja principal";
               mnemonic = "M";
               edit_width = 7;
           }
           : edit_box {
               key = "puerta_lon2";
               label = "Medida Hoja secundaria";
               mnemonic = "H";  
               edit_width = 7;
           }
           : edit_box {
               key = "puerta_espe";
               label = "Espesor de Hoja";
               mnemonic = "p";  
               edit_width = 7;
           }
       } 
    : boxed_column {
       label = "Tipo de cercos";
           : edit_box {
               key = "puerta_cean";
               label = "Grueso del cerco";
               mnemonic = "G";
               edit_width = 7;
           }
           : edit_box {
               key = "puerta_cefo";
               label = "Fondo mx. cerco";
               mnemonic = "F";  
               edit_width = 7;
           }
       } 
    }
    spacer_1;
    : boxed_column {
       label = "Medidas de la puerta";
       : edit_box {
            key = "puerta_dime"; 
            label = "Longitud total de la puerta:";
            mnemonic = "L";
            edit_width = 7;
       }
    }
    spacer_1;
    : toggle {
        key = "puerta_refe";
        label = "Trabajar con punto de referencia";
    }
    : toggle {
        key = "puerta_cent";
        label = "Centrar la puerta en el muro";
    }
    spacer_1;
    : row {
        : spacer { width = 1; }
        : button {
            label = "Vale";
            key = "aceptar";
            width = 8;
            fixed_width = true;
         }
         : button {
            label = "Anular";
            is_cancel = true;
            key = "anular";
            width = 8;
            fixed_width = true;
         }
        : button {
            label = "Informacin...";
            key = "puerta_info";
            mnemonic = "I";
            width = 15;
            fixed_width = true;
         }
    : spacer { width = 1;}
   }
}
//***************************************************************************
// Cuadro dilogo de informacin

op_puerta_info : dialog {
    label = "Informacin del Programa";
    spacer_1;
    :paragraph {
       children_alignment = centered;
       : text_part { label = "Dibujo parametrizado de Puertas"; }
       : text_part { label = "    "; }
       : text_part { label = "PUERTA"; }
       : text_part { label = "    "; }
       : text_part { label = "Versin 2.12 (Abril de 1.994)"; }
       : text_part { label = "Para su uso con AutoCad 12"; }
       : text_part { label = "*******"; }
       : text_part { label = "Realizado por Javier Erce Lizarraga."; }
       : text_part { label = "Avda. Reyes Catlicos n 17 - 28280 El Escorial"; }
       : text_part { label = "Telfono 91 - 890.05.85"; }
    }
    spacer_1;
    : paragraph {
        children_alignment = centered;
        : text_part { label = "El autor ofrece el programa PUERTA completo, para que cual-"; }
        : text_part { label = "quier usuario lo pueda evaluar y probar libremente. Y si se"; }
        : text_part { label = "decide a utilizarlo y quiere  estar  al da de las  ltimas"; }
        : text_part { label = "actualizaciones de este y otros programas LISP de Arquitec-"; }
        : text_part { label = "tura para AutoCad, enviar 5.000 pesetas con todos sus datos"; }
        : text_part { label = "a las seas arriba indicadas.                              "; }
    }
    spacer_1;
    ok_only;
    spacer_1;
}


