/* VENTANA.DCL
   Realizado por Javier Erce 
   Versin 3.12 para autocad 12
   9 de Mayo de 1.994
*/

op_vent : dialog {
    label = "Opciones de dibujo de Ventanas";
    spacer_1;
    :boxed_row {
       label = "Tipologa de Ventanas y Representacin";
         : boxed_radio_column {
            label = "Tipo de ventana";
            : radio_button {
                 label = "Abatible";
                 mnemonic = "A";
                 key = "ventana_abat";
                 value = "1";
            }
            : radio_button {
                 label = "Corredera";
                 mnemonic = "C";
                 key = "ventana_corr";
            }
         }
         : boxed_radio_column {
            label = "Tipo de la Peana";
            : radio_button {
                 label = "Resaltada";
                 mnemonic = "R";
                 key = "ventana_resa";
            }
            : radio_button {
                 label = "Enrasada";
                 mnemonic = "E";
                 key = "ventana_enra";
                 value = "1";
            }
         }
    }
    spacer_1;
    : boxed_row {
       label = "Caractersticas de la ventana";
       : boxed_column {
          label = "Tipo de hojas";
          : edit_box {
               key = "ventana_nume";
               label = "Nmero de hojas";
               mnemonic = "N";
               edit_width = 7;
          }
          : edit_box {
               key = "ventana_lon1";
               label = "Medida de hoja";
               mnemonic = "M";
               edit_width = 7;
          }
       }
       : boxed_column {
          label = "Tipo de cercos";
          : edit_box {
               key = "ventana_cean";
               label = "Grueso del cerco";
               mnemonic = "G";
               edit_width = 7;
          }
          : edit_box {
               key = "ventana_cefo";
               label = "Fondo del cerco";
               mnemonic = "F";
               edit_width = 7;
          }
       }
    }
    spacer_1;
    : boxed_column {
       label = "Medidas de ventana";
       : edit_box {
            key = "ventana_long";
            label = "Longitud total de la ventana:";
            mnemonic = "L";
            edit_width = 10;
       }
    }
    spacer_1;
    : toggle {
        key = "ventana_refe";
        label = "Trabajar con punto de referencia";
    }
    : toggle {
        key = "ventana_cent";
        label = "Centrar la ventana en el muro";
    }
    spacer_1;
    : row {
        : spacer { width = 1; }
        : button {
            label = "Vale";
            key = "aceptar";
            width = 8;
            fixed_width = true;
         }
    : button {
        label = "Anular";
        is_cancel = true;
        key = "anular";
        width = 8;
        fixed_width = true;
    }
    : button {
        label = "Informacin...";
        key = "ventana_info";
        mnemonic = "I";
        width = 15;
        fixed_width = true;
    }
    : spacer { width = 1;}
   }
}

//***************************************************************************
// Cuadro dilogo de informacin

op_ventana_info : dialog {
    label = "Informacin del Programa";
    spacer_1;
    :paragraph {
       children_alignment = centered;
       : text_part { label = "Dibujo parametrizado de Ventanas"; }
       : text_part { label = "    "; }
       : text_part { label = "VENTANA"; }
       : text_part { label = "    "; }
       : text_part { label = "Versin 3.12 (Mayo de 1.994)"; }
       : text_part { label = "Para su uso con AutoCad 12"; }
       : text_part { label = "*******"; }
       : text_part { label = "Realizado por Javier Erce Lizarraga."; }
       : text_part { label = "Avda. Reyes Catlicos n 17 - 28280 El Escorial"; }
       : text_part { label = "Telfono 91 - 890.05.85"; }
    }
    spacer_1;
    : paragraph {
        children_alignment = centered;
        : text_part { label = "El autor ofrece el programa VENTANA completo, para que cual"; }
        : text_part { label = "quier usuario lo pueda evaluar y probar libremente. Y si se"; }
        : text_part { label = "decide a utilizarlo y quiere  estar  al da de las  ltimas"; }
        : text_part { label = "actualizaciones de este y otros programas LISP de Arquitec-"; }
        : text_part { label = "tura para AutoCad, enviar 5.000 pesetas con todos sus datos"; }
        : text_part { label = "a las seas arriba indicadas.                              "; }
    }
    spacer_1;
    ok_only;
    spacer_1;
}



